Bug 228276 - Cannot perform Push Down (project dependency issue)
Cannot perform Push Down (project dependency issue)
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
7.3
Macintosh Mac OS X
: P2 (vote)
: 7.3.1
Assigned To: Ralph Ruijs
issues@java
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 08:42 UTC by Jan Becicka
Modified: 2013-05-09 15:05 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Becicka 2013-04-05 08:42:35 UTC
Product Version = NetBeans IDE 7.3 (Build 201302132200)
Operating System = Mac OS X version 10.8.3 running on x86_64
Java; VM; Vendor = 1.7.0_17
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.7-b01

cordova.platforms module: MobileDebugTransport class. 
I want to do Push Down refactoring, but it fails with error message "Cannot push down any members. The selected type has no subtypes in the currently opened projects." But it is not true. There are 2 subtypes in modules cordova.platforms.ios and cordova.platforms.android. And these projects are opened.
Comment 1 Ralph Ruijs 2013-04-05 08:54:29 UTC
reproducible
Comment 2 Ralph Ruijs 2013-04-08 13:47:53 UTC
changeset   : http://hg.netbeans.org/jet-main/rev/3054c780152b
author      : Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
date        : Mon Apr 08 15:43:40 CEST 2013
summary     : #228276 - Cannot perform Push Down (project dependency issue)
Comment 3 Jiri Prox 2013-05-02 12:03:29 UTC
v.
Comment 4 Ralph Ruijs 2013-05-05 22:53:07 UTC
http://hg.netbeans.org/releases/rev/066f75d91490


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo